Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.sequenceDiagram
Class SequenceDiagramFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.visualization.sequenceDiagram.SequenceDiagramFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class SequenceDiagramFilter

extends AbstractMessageTraceProcessingFilter

Refactored copy from LogAnalysis-legacy tool
This class has exactly one input port named "in". The data which is send to this plugin is not delegated in any way.

Since:
  0.95a
Author:
  Andre van Hoorn, Nils Sommer, Jan Waller

Nested Class Summary
`static class` | `SequenceDiagramFilter.SDModes`

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_FN_BASE` The name of the configuration determining the used output filename base.
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_SDMODE` The name of the configuration determining the used mode.
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_SHORTLABES` The name of the configuration determining whether to use short labels or not.
`static String` | `CONFIG_PROPERTY_VALUE_OUTPUT_FN_BASE_DEFAULT` This constant determines the default used output filename base.

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`INPUT_PORT_NAME_MESSAGE_TRACES`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`SequenceDiagramFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputMessageTraces(MessageTrace mt)` This is the (abstract) input port for the incoming message traces.
`void` | `printStatusMessage()` Returns a user-addressed status message to be logged by the calling tool.
`static void` | `writePicForMessageTrace(MessageTrace msgTrace, SequenceDiagramFilter.SDModes sdMode, String outputFilename, boolean shortLabels)` This method writes the pic code for the given message trace into the given file.

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### CONFIG_PROPERTY_NAME_OUTPUT_FN_BASE

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_FN_BASE

  The name of the configuration determining the used output filename base.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_OUTPUT_SHORTLABES

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_SHORTLABES

  The name of the configuration determining whether to use short labels or not.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_OUTPUT_SDMODE

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_SDMODE

  The name of the configuration determining the used mode.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_OUTPUT_FN_BASE_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_OUTPUT_FN_BASE_DEFAULT

  This constant determines the default used output filename base.

  See Also:
    Constant Field Values

Constructor Detail

### SequenceDiagramFilter

    public SequenceDiagramFilter(Configuration configuration,
                                 IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration to use for this filter.
    `projectContext` - The project context to use for this filter.

Method Detail

### printStatusMessage

    public void printStatusMessage()

  Returns a user-addressed status message to be logged by the calling tool. Extending classes may override this method but should call the then-inherited method first.

  Overrides:
    `printStatusMessage` in class `AbstractTraceProcessingFilter`

### inputMessageTraces

    public void inputMessageTraces(MessageTrace mt)

  Description copied from class: `AbstractMessageTraceProcessingFilter`
  This is the (abstract) input port for the incoming message traces.

  Specified by:
    `inputMessageTraces` in class `AbstractMessageTraceProcessingFilter`
  Parameters:
    `mt` - The incoming message trace.

### writePicForMessageTrace

    public static void writePicForMessageTrace(MessageTrace msgTrace,
                                               SequenceDiagramFilter.SDModes sdMode,
                                               String outputFilename,
                                               boolean shortLabels)
                                        throws FileNotFoundException,
                                               UnsupportedEncodingException

  This method writes the pic code for the given message trace into the given file.

  Parameters:
    `msgTrace` - The message trace to convert.
    `sdMode` - The mode of the sequence diagram (allocation, assembly).
    `shortLabels` - Determines whether to use short labels or not.
    `outputFilename` - The name of the file in which the code will be written.
  Throws:
    `FileNotFoundException` - If the given file is somehow invalid.
    `UnsupportedEncodingException` - If the used default encoding is not supported.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Overrides:
    `getCurrentConfiguration` in class `AbstractTraceAnalysisFilter`
  Returns:
    A completely filled configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net